#!/bin/bash

echo "FIXIT: begin fixing _sysconfig"

##SQLITE_FQ_DIR=/products/sqlite/v3_07_17_00/Linux64bit+2.6-2.12-prof
##PYTHON_DIR=/home/garren/scratch/p/python/v2_7_5a


blddir=${1}
prefix=${2}

echo "FIXIT: prefix is ${prefix}"

sysconfig=`find ${blddir} -name _sysconfigdata.py`
echo "FIXIT: found ${sysconfig}"

configreldir=`dirname ${sysconfig}`
configdir=`cd ${configreldir} && /bin/pwd`
echo "FIXIT: configdir ${configdir}"
configname=`basename ${sysconfig}`

set -x
cd ${configdir}
patch -b -p0 < ${PYTHON_DIR}/patch/sysconfigdata.patch  || exit 1
mv ${configdir}/${configname} ${configdir}/${configname}.bak  || exit 1
cat ${configdir}/${configname}.bak \
   | sed -e s%--prefix=${prefix}%--prefix=\"\+this_python_root\+\"% \
   -e s%\'${prefix}\'%this_python_root%g \
   -e s%\'${prefix}%this_python_root\+\'%g \
   -e s%${prefix}%\'\+this_python_root\+\'%g \
   -e s%\'${PYTHON_DIR}/source%this_python_dir\+\'/source%g \
   -e s%${PYTHON_DIR}/source%\'\+this_python_dir\+\'/source%g \
   -e s%LDFLAGS\=-L${SQLITE_FQ_DIR}%LDFLAGS\=-L\"\+this_sqlite_fq_dir\+\"%g \
   -e s%CPPFLAGS\=-I${SQLITE_FQ_DIR}%CPPFLAGS\=-I\"\+this_sqlite_fq_dir\+\"% \
   -e s%-L${SQLITE_FQ_DIR}%-L\'\+this_sqlite_fq_dir\+\'%g \
   -e s%${SQLITE_FQ_DIR}%\'\+this_sqlite_fq_dir\+\'%g \
   > ${configdir}/${configname}
set +x

exit 0

